Bug 225115 - audio/musicpd: Update to 0.20.15
Summary: audio/musicpd: Update to 0.20.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL: http://git.musicpd.org/cgit/master/mp...
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-01-12 18:15 UTC by Dmitri Goutnik
Modified: 2018-01-19 22:34 UTC (History)
1 user (show)

See Also:
riggs: maintainer-feedback+
riggs: merge-quarterly+


Attachments
musicpd-0.20.15.patch (932 bytes, patch)
2018-01-12 18:15 UTC, Dmitri Goutnik
dmgk: maintainer-approval? (riggs)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2018-01-12 18:15:22 UTC
Created attachment 189659 [details]
musicpd-0.20.15.patch

* Update to 0.20.15

Changes [1]:

ver 0.20.15 (2018/01/05)
* queue: fix crash after seek failure
* resampler
  - soxr: clear internal state after manual song change
* state file
  - make mount point restore errors non-fatal
  - fix crash when restoring mounts with incompatible database plugin
* Android
  - build without Ant
  - fix for SIGSYS crash

ver 0.20.14 (2018/01/01)
* database
  - simple: fix file corruption in the presence of mount points
* archive
  - bz2: fix deadlock
  - reduce lock contention, fixing lots of xrun problems
* fix Solaris build failure

QA:
  poudriere testport: OK (11a, 10i)

[1] http://git.musicpd.org/cgit/master/mpd.git/plain/NEWS?h=v0.20.15
Comment 1 commit-hook freebsd_committer 2018-01-14 11:37:39 UTC
A commit references this bug:

Author: riggs
Date: Sun Jan 14 11:36:52 UTC 2018
New revision: 458963
URL: https://svnweb.freebsd.org/changeset/ports/458963

Log:
  Update to upstream version 0.20.15 (bug fix release)

  Detailed changelog:
  http://git.musicpd.org/cgit/master/mpd.git/plain/NEWS?h=v0.20.15

  PR:		225115
  Submitted by:	dg@syrec.org
  MFH:		2018Q1

Changes:
  head/audio/musicpd/Makefile
  head/audio/musicpd/distinfo
Comment 2 commit-hook freebsd_committer 2018-01-19 22:33:35 UTC
A commit references this bug:

Author: riggs
Date: Fri Jan 19 22:32:35 UTC 2018
New revision: 459477
URL: https://svnweb.freebsd.org/changeset/ports/459477

Log:
  MFH: r458963

  Update to upstream version 0.20.15 (bug fix release)

  Detailed changelog:
  http://git.musicpd.org/cgit/master/mpd.git/plain/NEWS?h=v0.20.15

  PR:		225115
  Submitted by:	dg@syrec.org

  Approved by:	ports-secteam (swills)

Changes:
_U  branches/2018Q1/
  branches/2018Q1/audio/musicpd/Makefile
  branches/2018Q1/audio/musicpd/distinfo